
From: James Morris <jmorris@redhat.com>

devfs is passing an empty string to do_mount when it expects a page.



---

 fs/devfs/base.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/devfs/base.c~devfs-do_mount-fix fs/devfs/base.c
--- 25/fs/devfs/base.c~devfs-do_mount-fix	2004-02-07 07:37:51.000000000 -0800
+++ 25-akpm/fs/devfs/base.c	2004-02-07 07:37:51.000000000 -0800
@@ -2840,7 +2840,7 @@ void __init mount_devfs_fs (void)
     int err;
 
     if ( !(boot_options & OPTION_MOUNT) ) return;
-    err = do_mount ("none", "/dev", "devfs", 0, "");
+    err = do_mount ("none", "/dev", "devfs", 0, NULL);
     if (err == 0) printk (KERN_INFO "Mounted devfs on /dev\n");
     else PRINTK ("(): unable to mount devfs, err: %d\n", err);
 }   /*  End Function mount_devfs_fs  */

_
